import menu,game,data
import pygame, math
from worm2d import Engine, Viewport

def main():

    sw,sh,bpp = 640,480,32

    #load config
    f = open("data/config.txt", "r")
    lines = f.readlines()
    for i in lines:
        line = i.split(" ")
        if "SCREENSIZE" in line:
            sw = int(line[1])
            sh = int(line[2])
            bpp = int(line[3])
    f.close()

        
    pygame.mixer.pre_init(11025, -16, 2, 256)
    engine = Engine(sw,sh, bpp, False, "Noble Nine")

    #level = game.Game("data/level/level1.txt", engine)

    #level.run()

    dat = data.DataManager()
    dat.load(engine)

    main_menu = menu.Menu(engine,dat)

    main_menu.run()

